#ifndef QGSCOPEMAINWINDOW_H
#define QGSCOPEMAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class QgScopeMainWindow;
}

class QComboBox;

class QgScopeMainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit QgScopeMainWindow(QWidget *parent = 0);
    ~QgScopeMainWindow();

    void setClientInitializer(void (*)());

    QComboBox* chronoCB() const;

public slots:
    QString restoreLayout(const QString& lyname=QString());

private:
    void closeEvent(QCloseEvent* evn);

private slots:
    void postInit();

private:
    Ui::QgScopeMainWindow *ui;

    class Implementation;
    Implementation& p_;
};

#endif // QGSCOPEMAINWINDOW_H
